## Installation

mbstring is a non-default extension. This means it is not enabled by default. You must explicitly enable the module with the configure option. See the Install section for details.

The following configure options are related to the mbstring module.

- --enable-mbstring : Enable mbstring functions. This option is required to use mbstring functions.

  libmbfl is necessary for mbstring. libmbfl is bundled with mbstring. Before PHP 7.3.0, if libmbfl is already installed on the system, --with-libmbfl[=DIR] can be specified to use the installed library.

- --disable-mbregex : Disable regular expression functions with multibyte character support.

  Oniguruma is necessary for the regular expression functions with multibyte character support. Oniguruma is bundled with mbstring. As of PHP 5.4.0, if Oniguruma is already installed on the system, --with-onig[=DIR] can be specified to use the installed library.

  As of PHP 5.4.0 it is possible to disable the multibyte regex backtrack check by specifying --disable-mbregex-backtrack .